Subject: Re: bug#79113: du --time-styles inconsistencies between manual and behaviour

From: Pádraig Brady <[email-masked]>
Date: Mon, 28 Jul 2025 20:13:21 +0100

On 28/07/2025 18:49, Nicolas Boichat wrote:
> I could have been clearer for this last one, I mean that the command
> line error text for `du` could mention that +FORMAT is supported:
> 
> Comparing du and ls output with a bad timestyle:
> ```
> $ du --time --time-style=xyz blob
> du: invalid argument ‘xyz’ for ‘time style’
> Valid arguments are:
>    - ‘full-iso’
>    - ‘long-iso’
>    - ‘iso’
>>>>>> it would be nice to add `- +FORMAT (e.g., +%H:%M) for a 'date'-style format` here
> Try 'du --help' for more information.
> $ ls -l --time-style=xyz blob
> ls: invalid argument ‘xyz’ for ‘time style’
> Valid arguments are:
>    - [posix-]full-iso
>    - [posix-]long-iso
>    - [posix-]iso
>    - [posix-]locale
>    - +FORMAT (e.g., +%H:%M) for a 'date'-style format
> Try 'ls --help' for more information.
> ```

Oh right.
I'll refactor the code that prints the ls and du errors in this case.

cheers,
Padraig